Bug 498741 - SELinux blocking gnome power manager from applying configuration as default
SELinux blocking gnome power manager from applying configuration as default
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
: selinux_gconf-d (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-02 13:18 EDT by Steven Moix
Modified: 2010-04-28 14:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-28 14:59:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SELinux denials (19.92 KB, text/plain)
2009-05-02 13:18 EDT, Steven Moix
no flags Details

  None (edit)
Description Steven Moix 2009-05-02 13:18:51 EDT
Created attachment 342184 [details]
SELinux denials

Description of problem:
On the latest Rawhide (and before), you get an SELinux denial when you click on the "Make Default" button in the gnome power manager (System > Preferences > Power Management).

Version-Release number of selected component (if applicable):
selinux-policy-3.6.12-23.fc11

How reproducible:
On every Rawhide installation

Steps to Reproduce:
1. Open the Gnome power management GUI
2. Make some changes
3. Click on the "make default" button
  
Actual results:
SELinux denial

Expected results:
No denial :)

Additional info:
See attached denial logs produced when you click on the button.
Comment 1 Miroslav Grepl 2009-05-04 04:01:21 EDT
This is mislabeled /home/Steven/.gconf directory. Execute

restorecon -R -v /home/Steven/.gconf


Should fix it.
Comment 2 Daniel Walsh 2009-05-04 12:12:38 EDT
Miroslav, since this is likely to happen, I think we should allow it, until we get a better solution for maintaining labels the homedir.

Also make sure this works on NFS and Samba homedirs.
Comment 3 Bug Zapper 2009-06-09 11:01:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Miroslav Grepl 2009-06-17 04:29:22 EDT
*** Bug 506395 has been marked as a duplicate of this bug. ***
Comment 5 Miroslav Grepl 2009-08-24 11:36:22 EDT
Fixed in selinux-policy-3.6.12-80.fc11
Comment 6 Bug Zapper 2010-04-27 10:05:01 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.